The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

cPanel addon installation problem

Discussion in 'cPanel Developers' started by inhale, Jul 19, 2010.

  1. inhale

    inhale Registered

    Joined:
    Jul 19, 2010
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    Hi guys,

    I am creating X-Cart addon for cPanel at the moment. The very first version of the package is now ready. I have managed to add the package to WHM (manually, not via a sync server) so it's shown among others in WHM -> cPanel -> Install cPAddons.

    Now I am trying to install it being logged as a client but with no success. To be more specific, it allows me to sumbit all details necessary for installation (installation folder, database prefix &etc.) and after I push the install button, it shows me the following message:

    ===
    cPAddon Qualiteam_Software::Ecommerce::XCart

    Could not open /home/s1cpanel/public_html/xcart/config.php: No such file or directory

    Unable to set configuration! This will need done manually!

    Done! You can access your new addon at s1.cpanel.qtmsoft.com/xcart/
    ===

    I've checked /home/s1cpanel/public_html/xcart/ folder and it's empty, indeed. Although, I expect X-Cart files should be copied to the folder during the installation. The database is empty as well.

    Please advice what I am doing wrong.

    Thanks in advance.
     
  2. cPDan

    cPDan cPanel Staff
    Staff Member

    Joined:
    Mar 9, 2004
    Messages:
    711
    Likes Received:
    3
    Trophy Points:
    18
    It sounds like either:
    - the tarball is not structured right

    Hint: what does this output: `tar xzf your-tarball-here | grep config.php`

    - there is an error in your SQL
    - perhaps a local mysql issue.

    Hint: what does this output during an install: `tail -f /usr/local/cpanel/logs/error_log`
     
  3. cPDan

    cPDan cPanel Staff
    Staff Member

    Joined:
    Mar 9, 2004
    Messages:
    711
    Likes Received:
    3
    Trophy Points:
    18
    Problem: the version in the module did not match the file system

    Detemined by: error_log showed it trying to open the a non-existant tarball.

    The tarball didn't exist because it was looking for one based on the version in the module.

    Either the module needs changed to 4.3.2gold or the 4.3.2gold files needs changed to 4.3.2

    HTH!
     
Loading...

Share This Page